<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Wireshark</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

		<div class="reveal">
			<div class="slides">
				<section>
					<section>
					    <h2>Objectives</h2>
					    <a href="../objectives.html" target="_blank">Wireshark Objectives</a>
					</section>


					<section>
						<h3>Getting familiar with Protocols</h3>
						<ul>
							<li>Surfing the Web</li>
							<li>Protocols to download website</li>
							<li>Protocol Hierarchy</li>
							<li>Encapsulation</li>
							<li>The good ole OSI model, again</li>
						</ul>

					</section>
					<section>
						<h3>Surfing the web</h3>
						<img src="../../../assets/shark1.png" alt="shark1">
					</section>
					<section>
						<h3>Protocols: HTTP</h3>
						<img src="../../../assets/shark2.png" alt="shark2">
					</section>
					<section>
						<h3>Protocols: TCP </h3>
						<img src="../../../assets/shark3.png" alt="shark3">
					</section>
					<section>
						<h3>Protocols: IP </h3>
						<img src="../../../assets/shark4.png" alt="shark4">
					</section>
					<section>
						<h3>Protocols: Ethernet </h3>
						<img src="../../../assets/shark5.png" alt="shark5">
					</section>
					<section>
						<h3>Protocols </h3>
						<img src="../../../assets/shark7.png" alt="shark7">
					</section>
					<section>
						<h3>Encapsulation </h3>
						<img src="../../../assets/shark8.png" alt="shark8">
					</section>
					<section>
						<h3>Encapsulation </h3>
						<img src="../../../assets/shark9.png" alt="shark9">
					</section>
					<section>
						<h3>Encapsulation </h3>
						<img src="../../../assets/shark10.png" alt="shark10">
					</section>
					<section>
						<h3>Encapsulation </h3>
						<img src="../../../assets/shark11.png" alt="shark11">
					</section>
					<section>
						<h3>Encapsulation </h3>
						<img src="../../../assets/shark12.png" alt="shark12">
					</section>
					<section>
						<h3>OSI model </h3>
						<img src="../../../assets/shark13.png" alt="shark13">
					</section>
					<section>
						<h3>OSI model </h3>
						<img src="../../../assets/shark14.png" alt="shark14">
					</section>
					<section>
						<h3>OSI model </h3>
						<img src="../../../assets/shark15.png" alt="shark15">
					</section>
				</section>
				<section>
					<section>
						<h3>Wireshark Introduction</h3>
						<ul>
							<li>Examine Protocol headers</li>
							<li>Examine Packet Capture Operation</li>
						</ul>
					</section>
					<section>
						<h3>Wireshark Demo</h3>
					</section>
					<section>
						<h3>Packet Capture </h3>
						<img src="../../../assets/shark16.png" alt="shark16">
					</section>
					<section>
						<h3>Install wireshark process</h3>
					</section>
					<section>
						<h3>Going through wireshark captures</h3>
					</section>
					<section>
						<h3>Wireshark Caution</h3>
						<ul>
							<li>Wireshark makes a copy of data</li>
							<li>Conclusions can be surprising</li>
							<li>Can look like magic</li>
							<li>Not everyone understands</li>
						</ul>
					</section>
					<section>
						<h3>Quick/not so quick Wireshark demos</h3>
						<ul>
							<li>Capturing Traffic</li>
							<li>Examining the Wireshark interface</li>
							<li>Using the Capture filter</li>
						</ul>

					</section>
					</section>
					<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>Wireshark</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
							<h2>What is Wireshark?</h2>
							<ul>
								<li>Wireshark is a network packet analyzer</li>
								<ul>A network packet analyzer presents captured packet data in as much detail as possible</ul>
								
							</ul>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
						<h2>Some Intended purposes </h2>
						<h3>Here are some reasons people use Wireshark:</h3>
                        <ul>
							<li>Network administrators use it to troubleshoot network problems</li>
							<li>Network security engineers use it to examine security problems</li>
							<li>QA engineers use it to verify network applications</li>
							<li>Developers use it to debug protocol implementations</li>
							
					
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Wireshark Interface</h2>
						<ul>
							<li>Three windows in Wireshark:</li>
							<ul>Traffic</ul>
							<ul>packet</ul>
							<ul>hexdump</ul>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section> 
						<h2>Wireshark</h2>
						<img src="../../../assets/wireshark1.png" alt="ws1">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
                    <section>
						<h2>Packet List</h2>
						<ul>
							<li>Time:</li>
							<li>Source:</li>
							<li>Destination:</li>
							<li>Protocol</li>
							<li>Length</li>
							<li>info</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
					<section>
						<h2>Understanding the Wireshark coloring scheme</h2>
						<p>Colorization of packets displayed in the Packet List pane can be an effective tool to identify network issues</p>
						<ul>
							<li>packets of interest</li>
							<li>packets that indicate errors</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Wireshark coloring </h2>
						<img src="../../../assets/wscolor1.png" alt="wscolor1">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
						
					</section>
					<section>
						<h2>Wireshark display filters</h2>
						<p>Display filters that can be extremely useful for analysis activities by allowing you to focus on specific packets, based on criteria that you define</p>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>	
					<section>
						<h2>Wireshark Display filters </h2>
						<img src="../../../assets/wsdisplay1.png" alt="wsdisplay1">
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
						
					</section>		
				</section>
				
				<section>
					<h2>Wireshark Demos</h2>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				<section>
					<h3>Wireshark Labs</h3>
					<ul>
						<li><a href="https://gitlab.com/39iosdev/ccd-iqt/idf/network-programming/-/blob/master/mdbook/src/labs/WireShark_Lab.md">lab 1</a></li>
						<li><a href="https://gitlab.com/39iosdev/ccd-iqt/idf/network-programming/-/blob/master/mdbook/src/labs/WireShark_Lab2.md">Lab 2</a></li>
						<li><a href="https://gitlab.com/39iosdev/ccd-iqt/idf/network-programming/-/tree/master/mdbook/src/intro-to-networking/wireshark/01_wireshark/01_labs">Lab 3-5</a></li>
						<li><a href="https://gitlab.com/39iosdev/ccd-iqt/idf/network-programming/-/tree/master/mdbook/src/09_Python_Networking/Practice/01_wireshark/02_ChallengeLabs">Challenge Labs</a></li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
				</section>
				


				
                

			</div>
		</div>
		<footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>		
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the 
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					custom: false,

					// Specifies the themes that will be available in the themes
					// menu panel. Set to 'true' to show the themes menu panel
					// with the default themes list. Alternatively, provide an
					// array to specify the themes to make available in the
					// themes menu panel, for example...
					// [
					//     { name: 'Black', theme: 'css/theme/black.css' },
					//     { name: 'White', theme: 'css/theme/white.css' },
					//     { name: 'League', theme: 'css/theme/league.css' }
					// ]
					themes: true,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own 
					// list of themes or 'themes' is set to 'false' the 
					// 'themesPath' option is ignored.
					themesPath: 'css/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: true,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must 
					// be displayed for this to take effect
					openSlideNumber: true,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard 
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes 
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true
				},
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/highlight/highlight.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/reveal.js-menu/menu.js' }
				]
			});
		</script>
	</body>
</html>
